baseURL = "https://danilafe.com"
theme = "vanilla"
pygmentsCodeFences = true
pygmentsUseClasses = true
summaryLength = 20

defaultContentLanguage = 'en'



[taxonomies]
  tag = 'tags'
  series = "series"

[outputFormats]
  [outputFormats.Toml]
    name = "toml"
    mediaType = "application/toml"
    isHTML = false

[outputs]
  home = ["html","rss","toml"]

[markup]
  [markup.tableOfContents]
    endLevel = 4
    ordered = false
    startLevel = 3
  [markup.goldmark]
    [markup.goldmark.extensions]
      [markup.goldmark.extensions.passthrough]
        enable = true
        [markup.goldmark.extensions.passthrough.delimiters]
          block = [['\[', '\]'], ['$$', '$$']]
          inline = [['\(', '\)']]
    [markup.goldmark.parser]
      [markup.goldmark.parser.attribute]
        block = true
        title = true

[languages]
  [languages.en]
    title = "Daniel's Blog"
    languageCode = "en-us"

[params]
plausibleAnalyticsDomain = "danilafe.com"
githubUsername = "DanilaFe"
siteSourceUrl = "https://dev.danilafe.com/Web-Projects/blog-static/src/branch/master"
externalLinksInNewTab = false
